# Luakit Documentation / Modules / lousy.load

# Module `lousy.load`

lousy.load library

This module provides a function to search for and load the contents of files.

## Functions

### lousy.load (path, memorize)

Load the contents of a file, with optional caching.

#### Parameters

- path
  Type: string
  The path of the file to load. If the path is a relative path, it is relative to the luakit installation path.
- memorize
  Type: boolean
  Whether file loads should be cached. If not `true`, the cache will not be queried for an already-loaded copy, nor will the cache be populated on a successful load.

## Attribution

#### Copyright

- 2010 Mason Larobina